Subject: TSVWG Status Summary -- January 2012

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 19 Jan 2012 12:00:37 +0000

The list below shows the status of the working group documents as we see 
it. Please check below and comment on drafts using the list. Please do 
send any corrections/omissions to the chairs.

Best wishes,

James and Gorry
(TSVWG Chairs)

---
Recently published:

draft-ietf-tsvwg-iana-ports was published as RFC 6335.
draft-ietf-tsvwg-rsvp-security-groupkeying was published as RFC 6411.
draft-ietf-tsvwg-sctpsocket was published as RFC 6458.

IDs in RFC Editor Queue:

draft-ietf-tsvwg-sctp-strrst
   Dependency on this for IPFIX document with RFC-Ed.
   WGLC completed.
   James is Shepherd.

-------------------------------------------------------------------

IDs in IESG processing:

draft-ietf-tsvwg-source-quench
   (Replaced: draft-gont-tsvwg-source-quench-01.txt)
   IETF-79 suggested there was interest in this topic.
   Comments to list in 2010 from: Fred Baker, Antonio DeSimone,
   James Polk, Gorry Fairhurst, Andrew Yourtchenko, and others.
   WG agreed the draft should be a work item.
   More motivation was needed to justify the SHOULD cases.
   WGLC completed.
   Gorry is Shepherd.
   Document write-up sent to WG (9th Jan 2012)
   Draft revised to add "obsoletes" line.
   DUE: AD review in progress

-------------------------------------------------------------------

WG Drafts with Chairs:

draft-ietf-tsvwg-byte-pkt-congest
   New editor added Jul 2010.
   New revision 25 Oct 2010.
   WG -01, June 10, 2011
   IETF-81: discussed whether this should be BCP.
   ADs & Chairs agree to progress as a BCP
   Status changed to BCP (new-ID WG -05)
   Presented at IEWTF-82 (Taipei), request for WGLC.
   Gorry added as Shepherd (Jan 2012)
   DUE: Reviewers need to volunteer for LC
   DUE: WG Chairs to review document with a view to WGLC
   Please comment on list.

-------------------------------------------------------------------

WG Drafts:

draft-ietf-tsvwg-natsupp-tsvwg
   (Replaced: draft-stewart-natsupp-tsvw)
   Dependency from BEHAVE WG.
   Adopted as a work item 21 Sept 2010 (Gorry).
   WG -00, 29/11/2010
   Uploaded as: draft-ietf-natsupp-tsvwg
   WG -01, June 1, 2011
   DUE: Reviews need.

draft-ietf-tsvwg-sctp-udp-encap
   (Replaced: draft-tuexen-sctp-udp-encap)
   Lars sent a note as AD agreeing to progress this work.
   Work to be coordinated with DCCP work on encaps.
   draft-tuexen-sctp-udp-encaps-06, January 10, 2011
   Adopted as a work item 21 Sept 2010 (Gorry)
   WG -02 8 Dec 2011
   DUE: New revision need.

draft-ietf-tsvwg-intserv-multiple-tspec
   WG interest in this topic recorded at IETF-78.
   Charter update would be needed to progress this work.
   5 Reviews needed to determine energy/technical direction.
   WG -05 (presented in Beijing, IETF-79)
   WG -06 (presented in Prague, IETF-80)
   RSVP directorate was consulted.
   2 reviews from RSVP-DIR received (Bruce Davie, ?)
   2 additional reviews promised (Ken Carlberg, Francois LeF)
   Chairs asked AD for a Charter update (IESG agreed)
   Draft discussed at IETF-80, and request to update charter agreed
   - AD advised 4 named reviewers will be required
   Adopted for progression as PS, for May 2012

draft-ietf-tsvwg-rsvp-pcn
   Previous version : draft-karagiannis-pcn-tsvwg-rsvp-pcn
   WG interest in this topic recorded at IETF-81.
   Individual -01, 2011-07-11
   AD decision allowed this to be added to the milestones
   The document was adopted
   WG -00 8 Oct 2011
   DUE: New revision need

-------------------------------------------------------------------

WG action required:

draft-touch-tsvwg-port-use-00
   - Intended to be advice to protocol designers needing a port.
   5 people have looked at this document, Prague IETF-80
   Individual -01 July 2011
   IETF-81 insufficient feedback from WG at this time.
   WG needs to assess if the new draft should be a work item.
   IETF-82, discussed - Chairs will ask WG to consider.
   DUE: Chairs need to assess energy for work on this topic.
   Please comment on list.

draft-nishida-tsvwg-sctp-failover
   Individual-00 Presented in Prague, IETF-80.
   - understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
   DUE: New revision need.

draft-tuexen-tsvwg-sctp-multipath
   -00 Presented in Prague, IETF-80.
   - understood not to conflict with draft-nishida-tsvwg-sctp-failover
   -01, 2010-12-27
   Please comment to list.

draft-tuexen-tsvwg-sctp-sack-immediately
   -05, 2011-01-02
   - Aug 2011, discussed on list and issues raised.
   DUE: Chairs need to confirm adoption (need to do work).
   DUE: New revision need (to address comments)
   Please comment on list.

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-stewart-tsvwg-sctpecn-00
   Partially replaces (draft-stewart-tsvwg-sctp-nonce)
   IETF-78 suggested there was interest in this topic.
   Please comment to list.
   Revised uploaded with new name.
   - The draft needs to be updated for multihoming (IETF-80)
   - new revision expected April 2011 (IETF-80)
   WG needs to assess if the new draft should be a work item.
   Please comment on list.

draft-briscoe-tsvwg-ecn-encap-guidelines
   -00 Presented in Prague, IETF-80.
   - comments at IETF-80 (see minutes)
   WG needs to assess if the new draft should be a work item.
   Please comment on list.
   DUE: Chairs to check liaison status with other SDOs.

draft-carlberg-tsvwg-ecn-reactions
   Reactions to Signaling from ECN Support for RTP/RTCP
   -00 presented IETF-82
   WG needs to assess if the new draft should be a work item.
   Please comment on list.
-------------------------------------------------------------------

draft-polk-tsvwg-rsvp-app-id-vv-profiles
   -01 Presented in Beijing, IETF-79.
   -02, 14-Mar-2011
   Presented IET-80.
   WG needs to assess if the new draft should be a work item.
   Seek to coordinate with music with partner ID:
     draft-polk-mmusic-traffic-class-for-sdp
   Please comment on list.
   DUE: Chairs to liaise with MMUSIC WG (Gorry).

draft-lefaucheur-tsvwg-rsvp-multiple-preemption
   RSVP directorate to be consulted.
   - Reviewers: Bruce Davie (awaiting other reviews)
   Please comment to list.

draft-wing-tsvwg-happy-eyeballs-sctp
   This appears dead.

-------------------------------------------------------------------

Related non-WG items:

draft-ietf-behave-sctpnat-03.txt
   BEHAVE WG item linked to SCTP encapsulation work.

draft-ietf-6man-udpzero
   Previoiusly: draft-fairhurst-tsvwg-6man-udpzero
   Draft was adopted by 6man, please discuss on the 6man list.
   A WGLC of this draft is expected in 6MAN WG.
   Related draft: draft-ietf-6man-udpchecksums-00
   Expected to start WGLC early 2012.
   This draft will be LC'ed in TSVWG also.

------------------------------------------------------------------

Other news:

RSVP Directorate (formed in May 2010)
Charter updated Aug 2011.

------------------------------------------------------------------